|
楼主 |
发表于 2009-10-25 18:37:45
|
显示全部楼层
确实是coreutils的问题,不过很奇怪,我在编译时做过make NON_ROOT_USERNAME=dummy check-root当时没有问题的,我进后系统后再做测试问题就来了。不知道是为什么。
- + tail --version
- tail (GNU coreutils) 7.6
- Copyright (C) 2009 Free Software Foundation, Inc.
- License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
- This is free software: you are free to change and redistribute it.
- There is NO WARRANTY, to the extent permitted by law.
- Written by Paul Rubin, David MacKenzie, Ian Lance Taylor,
- and Jim Meyering.
- + . ./test-lib.sh
- ++ unset function_test
- ++ eval 'function_test() { return 11; }; function_test'
- +++ function_test
- +++ return 11
- ++ test 11 '!=' 11
- +++ pwd
- ++ test_dir_=/sources/coreutils-7.6/tests
- +++ this_test_
- +++ echo ././tail-2/append-only
- +++ sed 's,.*/,,'
- ++ this_test=append-only
- +++ /sources/coreutils-7.6/src/mktemp -d --tmp=/sources/coreutils-7.6/tests cu-append-only.XXXXXXXXXX
- ++ t_=/sources/coreutils-7.6/tests/cu-append-only.aBpASglJJc
- ++ trap remove_tmp_ 0
- ++ trap 'Exit $?' 1 2 13 15
- ++ cd /sources/coreutils-7.6/tests/cu-append-only.aBpASglJJc
- ++ diff --version
- ++ grep GNU
- + require_root_
- + uid_is_privileged_
- ++ id -u
- + my_uid=0
- + case $my_uid in
- + NON_ROOT_USERNAME=dummy
- ++ id -g dummy
- id: dummy: No such user
- + NON_ROOT_GROUP=
- + chattr_a_works=1
- + touch f
- + chattr +a f
- + chattr_a_works=0
- + chattr_a_works=0
- + echo x
- + test 0 = 0
- + skip_test_ 'chattr +a doesn'\''t work on this file system'
- + echo './tail-2/append-only: skipping test: chattr +a doesn'\''t work on this file system'
- + head -1
- + echo './tail-2/append-only: skipping test: chattr +a doesn'\''t work on this file system'
- ./tail-2/append-only: skipping test: chattr +a doesn't work on this file system
- + Exit 77
- + set +e
- + exit 77
- + exit 77
- + remove_tmp_
- + __st=77
- + cleanup_
- + :
- + cd /sources/coreutils-7.6/tests
- + chmod -R u+rwx /sources/coreutils-7.6/tests/cu-append-only.aBpASglJJc
- + rm -rf /sources/coreutils-7.6/tests/cu-append-only.aBpASglJJc
- + exit 77
- FAIL: touch/now-owned-by-other (exit: 1)
- ========================================
- + touch --version
- touch (GNU coreutils) 7.6
- Copyright (C) 2009 Free Software Foundation, Inc.
- License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
- This is free software: you are free to change and redistribute it.
- There is NO WARRANTY, to the extent permitted by law.
- Written by Paul Rubin, Arnold Robbins, Jim Kingdon,
- David MacKenzie, and Randy Smith.
- + . ./test-lib.sh
- ++ unset function_test
- ++ eval 'function_test() { return 11; }; function_test'
- +++ function_test
- +++ return 11
- ++ test 11 '!=' 11
- +++ pwd
- ++ test_dir_=/sources/coreutils-7.6/tests
- +++ this_test_
- +++ echo ././touch/now-owned-by-other
- +++ sed 's,.*/,,'
- ++ this_test=now-owned-by-other
- +++ /sources/coreutils-7.6/src/mktemp -d --tmp=/sources/coreutils-7.6/tests cu-now-owned-by-other.XXXXXXXXXX
- ++ t_=/sources/coreutils-7.6/tests/cu-now-owned-by-other.xGRfPWbVWf
- ++ trap remove_tmp_ 0
- ++ trap 'Exit $?' 1 2 13 15
- ++ cd /sources/coreutils-7.6/tests/cu-now-owned-by-other.xGRfPWbVWf
- ++ diff --version
- ++ grep GNU
- + require_root_
- + uid_is_privileged_
- ++ id -u
- + my_uid=0
- + case $my_uid in
- + NON_ROOT_USERNAME=dummy
- ++ id -g dummy
- id: dummy: No such user
- + NON_ROOT_GROUP=
- ++ id -g dummy
- id: dummy: No such user
- + group_num=
- + echo
- + chgrp + . root-owned
- chgrp: invalid group: `+'
- + framework_failure
- + error_ 'failure in testing framework'
- + echo './touch/now-owned-by-other: failure in testing framework'
- ./touch/now-owned-by-other: failure in testing framework
- + Exit 1
- + set +e
- + exit 1
- + exit 1
- + remove_tmp_
- + __st=1
- + cleanup_
- + :
- + cd /sources/coreutils-7.6/tests
- + chmod -R u+rwx /sources/coreutils-7.6/tests/cu-now-owned-by-other.xGRfPWbVWf
- + rm -rf /sources/coreutils-7.6/tests/cu-now-owned-by-other.xGRfPWbVWf
- + exit 1
- ======================================
- 6 of 11 tests failed
- (9 tests were not run)
- See tests/test-suite.log
- Please report to bug-coreutils@gnu.org
- ======================================
- make[4]: Leaving directory `/sources/coreutils-7.6/tests'
- make[3]: Leaving directory `/sources/coreutils-7.6/tests'
- make[2]: Leaving directory `/sources/coreutils-7.6/tests'
- make[1]: Leaving directory `/sources/coreutils-7.6/tests'
复制代码
- ./cp/cp-a-selinux: skipping test: this system (or maybe just the current file system) lacks SELinux support
- ./cp/cp-mv-enotsup-xattr: skipping test: insufficient mount/ext2 support
- ./dd/skip-seek-past-dev: skipping test: failed to determine size of /dev/**EDITME[xxx]EDITME**
- ./ls/capability: skipping test: configured without libcap support
- ./misc/chcon: skipping test: this system (or maybe just the current file system) lacks SELinux support
- ./misc/selinux: skipping test: this system (or maybe just the current file system) lacks SELinux support
- ./mkdir/writable-under-readonly: skipping test: temporarily disabled
- ./rm/fail-2eperm: skipping test: cannot access just-built rm as user dummy
- ./tail-2/append-only: skipping test: chattr +a doesn't work on this file system
- make[4]: *** [test-suite.log] Error 1
- make[3]: *** [check-TESTS] Error 2
- make[2]: *** [check-am] Error 2
- make[1]: *** [check-root] Error 2
- make: *** [check-root] Error 2
复制代码 |
|